/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.settings.security;

import static com.google.common.truth.Truth.assertThat;

import android.content.Context;

import androidx.test.core.app.ApplicationProvider;
import androidx.test.ext.junit.runners.AndroidJUnit4;

import com.android.settings.core.BasePreferenceController;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(AndroidJUnit4.class)
public class CredentialManagementAppButtonsControllerTest {

    private Context mContext;
    private CredentialManagementAppButtonsController mController;

    private static final String PREF_KEY_CREDENTIAL_MANAGEMENT_APP = "certificate_management_app";

    @Before
    public void setUp() {
        mContext = ApplicationProvider.getApplicationContext();
        mController = new CredentialManagementAppButtonsController(
                mContext, PREF_KEY_CREDENTIAL_MANAGEMENT_APP);
    }

    @Test
    public void getAvailabilityStatus_shouldAlwaysReturnAvailableUnsearchable() {
        assertThat(mController.getAvailabilityStatus())
                .isEqualTo(BasePreferenceController.AVAILABLE_UNSEARCHABLE);
    }
}
